#include <bits/stdc++.h>

#define FAST ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
#define pb push_back

using namespace std;

int main()
{
    FAST

    vector<long long> niz, upiti;
    long long n, q;
    cin >> n >> q;
    for(long long i = 0; i < n; i++){
        long long k;
        cin >> k;
        niz.pb(k);
    }
    for(long long i = 0; i < q; i++){
        long long k;
        cin >> k;
        upiti.pb(k);
    }
    sort(niz.begin(), niz.end());
    for(long long r = 0; r < q; r++){
        long long rez = 0;
        long long pozicija_veci = upper_bound(niz.begin(), niz.end(), upiti[r]) - niz.begin();
        long long pozicija_manji = lower_bound(niz.begin(), niz.end(), upiti[r]) - niz.begin();
        long long jednakih = pozicija_veci - pozicija_manji;
        long long manjih = 0;
        long long vecih = 0;
        manjih = pozicija_manji;
        vecih = n - manjih - jednakih;
        long long elemenata = n;
        if(jednakih == 0){
            rez++;
            jednakih++;
            elemenata++;
        }
        long long polovina = elemenata / 2;
        if(polovina >= manjih && polovina < n - vecih){
            rez = rez;
        }
        else if(polovina < manjih){
            long long medijana = manjih + 1;
            long long elemenata2 = (medijana % 2) ? (2 * medijana - 1) : (2 * medijana - 2);
            rez += elemenata2 - elemenata;
        }
        else{
            long long medijana = vecih + 1;
            long long elemenata2 = (medijana % 2) ? (2 * medijana - 1) : (2 * medijana - 2);
            rez += elemenata2 - elemenata;
        }
        cout << rez << endl;
    }
    return 0;
}